summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2013-09-25 20:05:41 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2013-09-27 15:55:46 -0500
commit993e7d704404a8ff1a355bf4a38d1d92e7cc56cd (patch)
tree3cceed5dbbbd597c09e6533e0bd62d6c79bb0203
parentde88aff0a839844526ae262f8961ec4372fed238 (diff)
downloadopenrc-993e7d704404a8ff1a355bf4a38d1d92e7cc56cd.tar.gz
openrc-993e7d704404a8ff1a355bf4a38d1d92e7cc56cd.tar.bz2
openrc-993e7d704404a8ff1a355bf4a38d1d92e7cc56cd.tar.xz
fix cgroup_cleanup function
The yesno test for rc_cgroup_cleanup belongs at the point where this function is called from runscript, not in the function itself. X-Gentoo-Bug: 486210 X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=486210
-rw-r--r--sh/rc-cgroup.sh.in2
-rw-r--r--sh/runscript.sh.in1
2 files changed, 2 insertions, 1 deletions
diff --git a/sh/rc-cgroup.sh.in b/sh/rc-cgroup.sh.in
index 9329b57..b635340 100644
--- a/sh/rc-cgroup.sh.in
+++ b/sh/rc-cgroup.sh.in
@@ -116,7 +116,7 @@ cgroup_set_limits()
cgroup_cleanup()
{
- yesno "${rc_cgroup_cleanup:-no}" && cgroup_running || return 0
+ cgroup_running || return 0
ebegin "starting cgroups cleanup"
for sig in TERM QUIT INT; do
cgroup_get_pids || { eend 0 "finished" ; return 0 ; }
diff --git a/sh/runscript.sh.in b/sh/runscript.sh.in
index a1ed9c6..f8fcbc5 100644
--- a/sh/runscript.sh.in
+++ b/sh/runscript.sh.in
@@ -308,6 +308,7 @@ while [ -n "$1" ]; do
fi
[ "$(command -v cgroup_cleanup)" = "cgroup_cleanup" -a \
"$1" = "stop" ] && \
+ yesno "${rc_cgroup_cleanup}" && \
cgroup_cleanup
shift
continue 2